## r-cran-nanotime 0.3.2

=== DESCRIPTION ===
Package: nanotime
Type: Package
Title: Nanosecond-Resolution Time Support for R
Version: 0.3.2
Date: 2020-09-03
Author: Dirk Eddelbuettel and Leonardo Silvestri
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: Full 64-bit resolution date and time functionality with
 nanosecond granularity is provided, with easy transition to and from
 the standard 'POSIXct' type. Three additional classes offer interval,
 period and duration functionality for nanosecond-resolution timestamps.
Imports: methods, bit64, RcppCCTZ (>= 0.2.9), zoo
Suggests: tinytest, data.table, xts
LinkingTo: Rcpp, RcppCCTZ, RcppDate
License: GPL (>= 2)
RoxygenNote: 7.1.1
Collate: 'nanotime.R' 'nanoival.R' 'nanoduration.R' 'nanoperiod.R'
        'RcppExports.R'
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2020-09-03 21:07:47.79042 UTC; edd
Repository: CRAN
Date/Publication: 2020-09-04 05:12:19 UTC

=== debian/changelog ===
r-cran-nanotime (0.3.2-1) unstable; urgency=low

  * Initial Debian release 				(Closes: #980430)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 18 Jan 2021 18:44:09 -0600

=== debian/control ===
Source: r-cran-nanotime
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.0), dh-r, r-cran-rcpp, r-cran-rcppcctz, r-cran-rcppdate, r-cran-bit64, r-cran-zoo
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/edd/r-cran-nanotime
Vcs-Git: https://salsa.debian.org/edd/r-cran-nanotime.git
Homepage: https://cran.r-project.org/package=nanotime

Package: r-cran-nanotime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}
Description: GNU R package for nanosecond-resolution time support
 The package provides full 64-bit resolution date and time functionality
 with nanosecond granularity, with easy transition to and from the standard
 'POSIXct' type. Three additional classes offer interval, period and duration
 functionality for nanosecond-resolution timestamps.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-nanotime package
# Copyright 2003 - 2020 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## r-cran-nanotime 0.3.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: nanotime
 Type: Package
 Title: Nanosecond-Resolution Time Support for R
-Version: 0.3.2
-Date: 2020-09-03
+Version: 0.3.5
+Date: 2021-12-14
 Author: Dirk Eddelbuettel and Leonardo Silvestri
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: Full 64-bit resolution date and time functionality with
@@ -13,11 +13,14 @@
 Suggests: tinytest, data.table, xts
 LinkingTo: Rcpp, RcppCCTZ, RcppDate
 License: GPL (>= 2)
-RoxygenNote: 7.1.1
+URL: https://github.com/eddelbuettel/nanotime,
+        https://dirk.eddelbuettel.com/code/nanotime.html
+BugReports: https://github.com/eddelbuettel/nanotime/issues
+RoxygenNote: 7.1.2
 Collate: 'nanotime.R' 'nanoival.R' 'nanoduration.R' 'nanoperiod.R'
         'RcppExports.R'
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2020-09-03 21:07:47.79042 UTC; edd
+Packaged: 2021-12-14 13:29:33 UTC; edd
 Repository: CRAN
-Date/Publication: 2020-09-04 05:12:19 UTC
+Date/Publication: 2021-12-15 03:50:11 UTC

=== debian/changelog ===
r-cran-nanotime (0.3.5-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 14 Dec 2021 23:31:58 -0600

r-cran-nanotime (0.3.4-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version  

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 28 Nov 2021 14:55:47 -0600

r-cran-nanotime (0.3.3-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 17 Aug 2021 14:15:59 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.0), dh-r, r-cran-rcpp, r-cran-rcppcctz, r-cran-rcppdate, r-cran-bit64, r-cran-zoo
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), dh-r, r-cran-rcpp, r-cran-rcppcctz, r-cran-rcppdate, r-cran-bit64, r-cran-zoo
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-nanotime
 Vcs-Git: https://salsa.debian.org/edd/r-cran-nanotime.git
 Homepage: https://cran.r-project.org/package=nanotime

## r-cran-nanotime 0.3.6

=== debian/changelog ===
r-cran-nanotime (0.3.6-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 06 Mar 2022 13:28:12 -0600

## r-cran-nanotime 0.3.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: nanotime
 Type: Package
 Title: Nanosecond-Resolution Time Support for R
-Version: 0.3.5
-Date: 2021-12-14
+Version: 0.3.7
+Date: 2022-10-23
 Author: Dirk Eddelbuettel and Leonardo Silvestri
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: Full 64-bit resolution date and time functionality with
@@ -14,6 +14,7 @@
 LinkingTo: Rcpp, RcppCCTZ, RcppDate
 License: GPL (>= 2)
 URL: https://github.com/eddelbuettel/nanotime,
+        https://eddelbuettel.github.io/nanotime/,
         https://dirk.eddelbuettel.com/code/nanotime.html
 BugReports: https://github.com/eddelbuettel/nanotime/issues
 RoxygenNote: 7.1.2
@@ -21,6 +22,6 @@
         'RcppExports.R'
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2021-12-14 13:29:33 UTC; edd
+Packaged: 2022-10-24 00:26:28 UTC; edd
 Repository: CRAN
-Date/Publication: 2021-12-15 03:50:11 UTC
+Date/Publication: 2022-10-24 07:02:51 UTC

=== debian/changelog ===
r-cran-nanotime (0.3.7-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 24 Oct 2022 08:16:17 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), dh-r, r-cran-rcpp, r-cran-rcppcctz, r-cran-rcppdate, r-cran-bit64, r-cran-zoo
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.1), dh-r, r-cran-rcpp, r-cran-rcppcctz, r-cran-rcppdate, r-cran-bit64, r-cran-zoo
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-nanotime
 Vcs-Git: https://salsa.debian.org/edd/r-cran-nanotime.git
 Homepage: https://cran.r-project.org/package=nanotime

## r-cran-nanotime 0.3.9

=== debian/changelog ===
r-cran-nanotime (0.3.9-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 21 Jun 2024 13:34:15 -0500

r-cran-nanotime (0.3.8-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 19 Jun 2024 20:07:40 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.1), dh-r, r-cran-rcpp, r-cran-rcppcctz, r-cran-rcppdate, r-cran-bit64, r-cran-zoo
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r, r-cran-rcpp, r-cran-rcppcctz, r-cran-rcppdate, r-cran-bit64, r-cran-zoo
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-nanotime
 Vcs-Git: https://salsa.debian.org/edd/r-cran-nanotime.git
 Homepage: https://cran.r-project.org/package=nanotime

## r-cran-nanotime 0.3.10

=== debian/changelog ===
r-cran-nanotime (0.3.10-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 Sep 2024 18:22:45 -0500

## r-cran-nanotime 0.3.11

=== debian/changelog ===
r-cran-nanotime (0.3.11-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 10 Jan 2025 18:03:43 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r, r-cran-rcpp, r-cran-rcppcctz, r-cran-rcppdate, r-cran-bit64, r-cran-zoo
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.2), dh-r, r-cran-rcpp, r-cran-rcppcctz, r-cran-rcppdate, r-cran-bit64, r-cran-zoo
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-nanotime
 Vcs-Git: https://salsa.debian.org/edd/r-cran-nanotime.git

## r-cran-nanotime 0.3.12

=== DESCRIPTION ===
Package: nanotime
Type: Package
Title: Nanosecond-Resolution Time Support for R
Version: 0.3.12
Date: 2025-04-02
Authors@R: c(person("Dirk", "Eddelbuettel", role = c("aut", "cre"), email = "edd@debian.org",
                    comment = c(ORCID = "0000-0001-6419-907X")),
             person("Leonardo", "Silvestri", role = "aut"))
Description: Full 64-bit resolution date and time functionality with
 nanosecond granularity is provided, with easy transition to and from
 the standard 'POSIXct' type. Three additional classes offer interval,
 period and duration functionality for nanosecond-resolution timestamps.
Imports: methods, bit64, RcppCCTZ (>= 0.2.9), zoo
Suggests: tinytest, data.table, xts, ggplot2
LinkingTo: Rcpp, RcppCCTZ, RcppDate
License: GPL (>= 2)
URL: https://github.com/eddelbuettel/nanotime,
        https://eddelbuettel.github.io/nanotime/,
        https://dirk.eddelbuettel.com/code/nanotime.html
BugReports: https://github.com/eddelbuettel/nanotime/issues
RoxygenNote: 7.3.2
Collate: 'nanotime.R' 'nanoival.R' 'nanoduration.R' 'nanoperiod.R'
        'RcppExports.R'
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2025-04-02 12:07:57 UTC; edd
Author: Dirk Eddelbuettel [aut, cre] (<https://orcid.org/0000-0001-6419-907X>),
  Leonardo Silvestri [aut]
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Repository: CRAN
Date/Publication: 2025-04-02 12:50:02 UTC

=== debian/changelog ===
r-cran-nanotime (0.3.12-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 02 Apr 2025 10:11:40 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.2), dh-r, r-cran-rcpp, r-cran-rcppcctz, r-cran-rcppdate, r-cran-bit64, r-cran-zoo
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.3), dh-r, r-cran-rcpp, r-cran-rcppcctz, r-cran-rcppdate, r-cran-bit64, r-cran-zoo
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-nanotime
 Vcs-Git: https://salsa.debian.org/edd/r-cran-nanotime.git

=== debian/watch ===
version=3
https://cloud.r-project.org/src/contrib/nanotime_([-\d\.]*)\.tar.gz
